﻿-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/spellflashcore/localization/

local AddonName, AddonTable = ...
local function DefaultFunction(_, key) return key end
AddonTable.Localize = setmetatable({}, {__index = DefaultFunction})
AddonTable.OldBuild = select(4, GetBuildInfo()) < (tonumber(GetAddOnMetadata(AddonName, "X-Compatible-With")) or 0)
local L = AddonTable.Localize

if GetLocale() == "frFR" then -- French
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
-- L["all settings cleared"] = ""
-- L["debug is disabled"] = ""
-- L["debug is enabled"] = ""

elseif GetLocale() == "deDE" then -- German
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
-- L["all settings cleared"] = ""
L["debug is disabled"] = "Fehlersuche ist deaktiviert"
L["debug is enabled"] = "Fehlersuche ist aktiviert"

elseif GetLocale() == "koKR" then -- Korean
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
-- L["all settings cleared"] = ""
-- L["debug is disabled"] = ""
-- L["debug is enabled"] = ""

elseif GetLocale() == "esMX" then -- Latin American Spanish
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
-- L["all settings cleared"] = ""
-- L["debug is disabled"] = ""
-- L["debug is enabled"] = ""

elseif GetLocale() == "ruRU" then -- Russian
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
-- L["all settings cleared"] = ""
-- L["debug is disabled"] = ""
-- L["debug is enabled"] = ""

elseif GetLocale() == "zhCN" then -- Simplified Chinese
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
L["all settings cleared"] = "所有设置已清除"
L["debug is disabled"] = "除错停用"
L["debug is enabled"] = "除错启用"

elseif GetLocale() == "esES" then -- Spanish
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
-- L["all settings cleared"] = ""
-- L["debug is disabled"] = ""
-- L["debug is enabled"] = ""

elseif GetLocale() == "zhTW" then -- Traditional Chinese
-- L["all events registered"] = ""
-- L["all events unregistered"] = ""
L["all settings cleared"] = "所有設置已清除"
L["debug is disabled"] = "除錯停用"
L["debug is enabled"] = "除錯啟用"

end